> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verbex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Share

> Enables you to make an AI agent available to the users who has access to a shared key. 

Ideal for integrating AI agents into public-facing websites where user authentication isn't required,
such as landing pages, help centers, or public knowledge bases. This allows website visitors to
interact with your AI agent without needing to create an account or log in. The shared key will be stored in the website.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/public-sharing/
openapi: 3.1.0
info:
  title: Verbex Platform API
  description: API for managing AI agents, calls, phone numbers, and more.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/public-sharing/:
    post:
      tags:
        - Public Sharing
      summary: Create Share
      description: >-
        Enables you to make an AI agent available to the users who has access to
        a shared key. 


        Ideal for integrating AI agents into public-facing websites where user
        authentication isn't required,

        such as landing pages, help centers, or public knowledge bases. This
        allows website visitors to

        interact with your AI agent without needing to create an account or log
        in. The shared key will be stored in the website.
      operationId: create_share_v1_public_sharing__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePublicShareRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicShareResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreatePublicShareRequest:
      properties:
        ai_agent_id:
          type: string
          title: Ai Agent Id
          description: >-
            The unique identifier of the AI agent that you want to make publicly
            accessible. This agent will be available for web calls through a
            public URL.
      type: object
      required:
        - ai_agent_id
      title: CreatePublicShareRequest
    PublicShareResponse:
      properties:
        share_id:
          type: string
          title: Share Id
          description: >-
            Unique identifier for this public share configuration. Use this ID
            to manage or revoke public access
        ai_agent_id:
          type: string
          title: Ai Agent Id
          description: >-
            The unique identifier of the AI agent that is publicly accessible
            through this share configuration
        public_key:
          type: string
          title: Public Key
          description: >-
            The public access key that anonymous users must provide to initiate
            web calls with this AI agent
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            Timestamp indicating when this public share configuration was
            created
      type: object
      required:
        - share_id
        - ai_agent_id
        - public_key
        - created_at
      title: PublicShareResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````